### Class

# Gio FilenameCompleter

since: 2.0

#### Description

    final class Gio.FilenameCompleter : GObject.Object
    {
      /* No available fields */
    }

Completes partial file and directory names given a partial string by looking in the file system for clues. Can return a list of possible completion strings for widget implementations.

Available since: 2.0

#### Ancestors

- GObject

#### Constructors

###### g_filename_completer_new

Creates a new filename completer.

since: 2.0

#### Instance methods

###### g_filename_completer_get_completion_suffix

Obtains a completion for `initial_text` from `completer`.

since: 2.0

###### g_filename_completer_get_completions

Gets an array of completion strings for a given initial text.

since: 2.0

###### g_filename_completer_set_dirs_only

If `dirs_only` is `TRUE`, `completer` will only complete directory names, and not file names.

since: 2.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Gio.FilenameCompleter::got-completion-data

Emitted when the file name completion information comes available.

since: 2.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GioFilenameCompleterClass {
      GObjectClass parent_class;
      void (* got_completion_data) (
        GFilenameCompleter* filename_completer
      );
      void (* _g_reserved1) (
    void
      );
      void (* _g_reserved2) (
    void
      );
      void (* _g_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`got_completion_data: void (* got_completion_data) ( GFilenameCompleter* filename_completer )`
  No description available.
`_g_reserved1: void (* _g_reserved1) ( void )`
  No description available.
`_g_reserved2: void (* _g_reserved2) ( void )`
  No description available.
`_g_reserved3: void (* _g_reserved3) ( void )`
  No description available.

#### Virtual methods

###### Gio.FilenameCompleterClass.got_completion_data

No description available.

since: 2.0